#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.1


# export variables for autoreconf
export AUTOMAKE := automake --foreign


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@ --dbgsym-migration='libsdl2-net-dbg (<< 2.0.1+dfsg1-3~)'

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xchatd.c -Xchat.cpp -Xchat.h -Xshowinterfaces.c

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-net-2.0-0 (>= $(SHLIBVER))"
